---
apiVersion: helm.fluxcd.io/v1
kind: HelmRelease
metadata:
  name: radarr
  namespace: default
  annotations:
    fluxcd.io/automated: "true"
    fluxcd.io/tag.chart-image: glob:3.0.*
spec:
  releaseName: radarr
  rollback:
    enable: true
  chart:
    repository: https://billimek.com/billimek-charts/
    name: radarr
    version: 3.2.0
  values:
    image:
      repository: ghcr.io/linuxserver/radarr
      tag: 3.0.2.4552-ls102
    ingress:
      enabled: true
      annotations:
        kubernetes.io/ingress.class: "nginx"
        nginx.ingress.kubernetes.io/auth-url: "https://auth.kube.cardboardbox.be/oauth2/auth"
        nginx.ingress.kubernetes.io/auth-signin: "https://auth.kube.cardboardbox.be/oauth2/start"
      hosts:
      - radarr.kube.cardboardbox.be
      tls:
      - hosts:
        - radarr.kube.cardboardbox.be
    timezone: "Europe/Brussels"
    puid: 1000
    pgid: 1000
    podAnnotations:
      backup.velero.io/backup-volumes: config
    persistence:
      config:
        enabled: true
        existingClaim: radarr-config
      downloads:
        enabled: true
        existingClaim: nfs-downloads-pvc
      movies:
        enabled: true
        existingClaim: nfs-media-pvc
    resources:
      requests:
        memory: 352Mi
        cpu: 50m
      limits:
        memory: 1024Mi
        cpu: 500m
